Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 196945 - sys-apps/flashrom (new ebuild)
Summary: sys-apps/flashrom (new ebuild)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Mart Raudsepp
URL: http://www.coreboot.org/Flashrom
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-10-24 17:25 UTC by Ziga Mlinar
Modified: 2009-05-08 23:14 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-fs/flashrom-scm.ebuild (flashrom-scm.ebuild,538 bytes, text/plain)
2007-10-24 20:34 UTC, Ziga Mlinar
Details
flashrom-9999.ebuild (flashrom-9999.ebuild,836 bytes, text/plain)
2007-11-06 22:32 UTC, Piotr Szymaniak
Details
fixed ebuild (flashrom-9999.ebuild,736 bytes, text/plain)
2007-11-29 08:44 UTC, Ziga Mlinar
Details
flashrom-9999.ebuild - new web page, new repository svn (flashrom-9999.ebuild,734 bytes, text/plain)
2009-01-23 03:49 UTC, Todd Partridge
Details
flashrom-9999.ebuild (flashrom-9999.ebuild,736 bytes, text/plain)
2009-01-23 11:45 UTC, Christian Ruppert (idl0r)
Details
Makefile.patch (Makefile.patch,1.34 KB, patch)
2009-01-23 11:45 UTC, Christian Ruppert (idl0r)
Details | Diff
Updated patch for the Makefile (Makefile.patch,1.32 KB, patch)
2009-05-04 16:46 UTC, Alexey Charkov
Details | Diff
Corrected ebuild (flashrom-9999.ebuild,737 bytes, patch)
2009-05-04 16:49 UTC, Alexey Charkov
Details | Diff
Updated (flashrom-9999.ebuild,721 bytes, text/plain)
2009-05-05 06:23 UTC, Piotr Szymaniak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ziga Mlinar 2007-10-24 17:25:11 UTC
Here is the ebuild for flashrom, a program used to flash bios (by linuxbios).

I didn't find any ebuild for it yet so i made one.It installs the latest svn version.

flashrom-scm.ebuild
-------------------
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

#
# flashrom SVN ebuild
#

inherit subversion eutils

DESCRIPTION="Flash rom chips"
HOMEPAGE="http://linuxbios.org"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86"
IUSE=""

SRC_URI=""
ESVN_REPO_URI="svn://linuxbios.org/repos/trunk/util/${PN}"

RDEPEND="sys-apps/pciutils
        sys-libs/zlib"

S=${WORKDIR}/${PN}

pkg_setup() {
        ewarn
        ewarn "WARNING: This is a live SVN build!!!"
        ewarn
}

src_install() {
#       not using emake, because it makes sandbox violations
        dosbin flashrom
        doman *.8
}

pkg_postinst() {
        einfo
        einfo "Flashrom is now installed."
        einfo
}
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-10-24 17:58:27 UTC
Please don't paste ebuilds inline. Also, pkg_{setup,postinst} is plain redundant.
Comment 2 Ziga Mlinar 2007-10-24 20:34:08 UTC
Created attachment 134274 [details]
sys-fs/flashrom-scm.ebuild

I cleaned the ebuild and here it is as attachement.   

Sory to paste the code in the post above.
Comment 3 Piotr Szymaniak 2007-11-06 22:32:29 UTC
Created attachment 135388 [details]
flashrom-9999.ebuild

Changed the ebuild a bit, now it compiles (at least here ;).

BTW whats the -scm in the previous ebuild name?
Comment 4 Ziga Mlinar 2007-11-07 09:18:17 UTC
(In reply to comment #3)
> 
> BTW whats the -scm in the previous ebuild name?
> 
Sorry, i just gave my ebuilds. I use paludis and it has nice additional -scm ending that can be used for "live ebuilds" (the ones that get sources directly from svn, git, cvs ...)

Thanks for correcting this. I forgot portage doesn't have this.
Comment 5 Goran Mekić 2007-11-12 12:00:53 UTC
I've tested it on amd64 and flashrom -r <image> works. Should it be enough to keyword it as ~amd64?
Comment 6 Ziga Mlinar 2007-11-29 08:44:37 UTC
Created attachment 137300 [details]
fixed ebuild

added ~amd64 keyword
fixed homepage
cleaned useless comment
Comment 7 Cristi Magherusan 2008-04-03 23:39:05 UTC
still not good enough for the portage tree?
Comment 8 Robert Buchholz (RETIRED) gentoo-dev 2008-04-04 00:49:28 UTC
Some issues need to be resolved:
- Improve the description to be a little more.. descriptive (yet below 80 chars)
- quote instance(s) of ${S}
- dodoc README

- instead of dobin'ing, fix the Makefile.

for moving this into the tree:
- make an actual snapshot of the repository and use that.
Comment 9 Peter Karlsson 2008-04-28 18:46:55 UTC
(In reply to comment #8)
> Some issues need to be resolved:
> - Improve the description to be a little more.. descriptive (yet below 80
> chars)
> - quote instance(s) of ${S}
> - dodoc README
> 
> - instead of dobin'ing, fix the Makefile.
> 
> for moving this into the tree:
> - make an actual snapshot of the repository and use that.

There's a 1.0 release on the way...
http://article.gmane.org/gmane.linux.bios/35465/match=flashrom+1.0

Best regards

Peter K
Comment 10 Ziga Mlinar 2008-04-28 19:54:12 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Some issues need to be resolved:
> > - Improve the description to be a little more.. descriptive (yet below 80
> > chars)
> > - quote instance(s) of ${S}
> > - dodoc README
> > 
> > - instead of dobin'ing, fix the Makefile.
> > 
> > for moving this into the tree:
> > - make an actual snapshot of the repository and use that.
> 
> There's a 1.0 release on the way...
> http://article.gmane.org/gmane.linux.bios/35465/match=flashrom+1.0
> 
> Best regards
> 
> Peter K
> 

i will wait for this official releases and remake the ebuilds.  I have some already waiting (based on debian tarballs), but the official seem better.
Comment 11 Todd Partridge 2009-01-23 03:49:29 UTC
Created attachment 179403 [details]
flashrom-9999.ebuild - new web page, new repository svn
Comment 12 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-23 11:45:24 UTC
Created attachment 179441 [details]
flashrom-9999.ebuild
Comment 13 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-23 11:45:37 UTC
Created attachment 179442 [details, diff]
Makefile.patch
Comment 14 Alexey Charkov 2009-05-04 16:46:32 UTC
Created attachment 190324 [details, diff]
Updated patch for the Makefile

Corrected for changes in the upstream version and for linking
Comment 15 Alexey Charkov 2009-05-04 16:49:57 UTC
Created attachment 190325 [details, diff]
Corrected ebuild

Fixed unmatched quotes. By the way, is EAPI=2 really necessary here? I do not see any need, actually EAPI=0 should seemingly suffice.
Comment 16 Piotr Szymaniak 2009-05-05 06:23:38 UTC
Created attachment 190387 [details]
Updated

Readded ~x86 keyword and fixed description.
Comment 17 Mart Raudsepp gentoo-dev 2009-05-05 22:28:33 UTC
Taking this. sys-apps/ sounds more appropriate to me
Comment 18 Mart Raudsepp gentoo-dev 2009-05-05 22:46:47 UTC
flashrom-0.9.0 was released yesterday. This is the first actual tarball release.
It is not called 1.0 yet mostly because some of the short argument letters will probably change and swap around.
sys-apps/flashrom-0.9.0 added to tree, no live ebuild considered for tree anymore with actual releases happening.
Comment 19 Peter Stuge 2009-05-07 03:42:52 UTC
Actually sys-boot might be better. Suggested by idl0r. The program raincoat is in there, it does the same thing, but was written for xbox-linux so only supports a few flash chips.
Comment 20 Anton Bolshakov 2009-05-08 22:51:46 UTC
The ebuild which went to the portage has a typo in the homepage URL.
The final slash shoudn't be there.
Comment 21 Mart Raudsepp gentoo-dev 2009-05-08 23:14:31 UTC
Maybe raincoat is in the wrong category instead? One package isn't that much of a metric.
Fixed homepage, whoops, thanks